Page MenuHomePhabricator

DonationInterface normalized message format should match queue format
Closed, InvalidPublic2 Story Points

Description

This just dawned on me. There are two normalized message formats, and only historical reasons why. We waste a bunch of developer overhead converting back and forth.

DonationInterface\DonationQueue::buildTransactionMessage creates the legacy ActiveMQ pipeline using a snowflake format where fields are given non-normalized keys. For example, the normalized first_name field is called fname in the queue messages.

The new queue code, on the other hand, passes normalized messages.

One approach would be to make wmf_civicrm able to import either the old queue format or regular normalized messages. Then, rewrite DonationQueue to emit normalized messages.

Event Timeline

awight created this task.Aug 21 2015, 9:34 AM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2015, 9:34 AM
atgo added a subscriber: atgo.
atgo moved this task from Triage to FY 2019-20 on the Fundraising-Backlog board.Aug 21 2015, 10:28 PM
atgo removed a subscriber: atgo.Mar 30 2016, 10:06 PM
cwdent set Security to None.
cwdent moved this task from Backlog to Pending consolidation on the FR-ActiveMQ board.
DStrine set the point value for this task to 4.Jul 29 2016, 8:23 PM
awight updated the task description. (Show Details)Aug 2 2016, 12:03 AM
awight changed the point value for this task from 4 to 2.
cwdent closed this task as Invalid.Aug 2 2016, 3:17 PM

DonationQueue already outputs normalized messages, and since we're rewriting all the consumers making the change there is trivial.

mmodell removed a subscriber: awight.Jun 22 2017, 9:55 PM